extension AccountsState {
    static func reducer(state: inout AccountsState, action: AccountsAction) {
        switch action {
        case let .goTo(kind):
            state.navigation = kind

        case let .accountsListUpdated(accounts):
            state.accounts = accounts

        default:
            break
        }
    }
}
